﻿<%@ Page Title="Home Page" Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs"
    Inherits="_Default" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<html>
<head>
    <title>Test</title>
    <script type="text/javascript">
        function OnResponseEnd(sender, args) {
            if (args.get_eventTarget().indexOf("RadButton1") != -1) {
                $find('<%=Window1.ClientID%>').show();
            }
        }

    </script>
</head>
<body>
    <form id="Form1" runat="server">
        <telerik:RadScriptManager runat="server"></telerik:RadScriptManager>
        <telerik:RadAjaxPanel runat="server" ClientEvents-OnResponseEnd="OnResponseEnd" ID="RadAjaxPanel1">
            <telerik:RadGrid ID="RadGrid1" DataSourceID="SqlDataSource1" runat="server" AutoGenerateColumns="False"
                AllowSorting="True" AllowPaging="True" PageSize="5" GridLines="None" ShowGroupPanel="True">
                <MasterTableView DataSourceID="SqlDataSource1" DataKeyNames="CustomerID" AllowMultiColumnSorting="True"
                    GroupLoadMode="Server">
                    <Columns>
                        <telerik:GridBoundColumn DataField="ContactName" HeaderText="Contact name" SortExpression="ContactName"
                            UniqueName="ContactName">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="ContactTitle" HeaderText="Contact title" SortExpression="ContactTitle"
                            UniqueName="ContactTitle">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="CompanyName" HeaderText="Company name" SortExpression="CompanyName"
                            UniqueName="CompanyName">
                        </telerik:GridBoundColumn>
                    </Columns>
                    <NestedViewSettings DataSourceID="SqlDataSource2">
                        <ParentTableRelation>
                            <telerik:GridRelationFields DetailKeyField="CustomerID" MasterKeyField="CustomerID" />
                        </ParentTableRelation>
                    </NestedViewSettings>
                    <NestedViewTemplate>
                        <telerik:RadButton ID="RadButton1" runat="server" OnClick="RadButton1_Click" AutoPostBack="true"></telerik:RadButton>
                    </NestedViewTemplate>
                </MasterTableView>
                <PagerStyle Mode="NumericPages"></PagerStyle>
                <ClientSettings AllowDragToGroup="true" />
            </telerik:RadGrid>
            <telerik:RadWindow ID="Window1" runat="server">
                <ContentTemplate>
                    Test
                </ContentTemplate>
            </telerik:RadWindow>
        </telerik:RadAjaxPanel>
        <asp:SqlDataSource ID="SqlDataSource2" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
            SelectCommand="SELECT [CustomerID],[ContactName],[ContactTitle], [Address],[City],[PostalCode],[Country],[Phone],[Fax] FROM [Customers] where CustomerID=@CustomerID"
            runat="server">
            <SelectParameters>
                <asp:Parameter Name="CustomerID" />
            </SelectParameters>
        </asp:SqlDataSource>
        <asp:SqlDataSource ID="SqlDataSource1" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
            SelectCommand="SELECT [CustomerID], [CompanyName], [ContactName], [ContactTitle] FROM [Customers]"
            runat="server"></asp:SqlDataSource>

    </form>


</body>
</html>
